For the complete documentation index, see llms.txt. This page is also available as Markdown.

Details

List Details

get

Retrieve the list of package details from an image.

Query parameters
PathstringOptional

The MSIX image path (URL encoded in ASCII format).

Responses
200

Success

application/json; api-version=1.0

Package Details

packageNamestring · nullableOptional

Package name

displayNamestring · nullableOptional

Application package display name

versionstring · nullableOptional

Application package version

publisherstring · nullableOptional

Application package publisher name

msixImagePathstring · nullableOptional

MSIX image path

dependenciesstring · nullableOptional

Application pacakge dependencies

get/api/MSIXImage/Details
GET /api/MSIXImage/Details HTTP/1.1
Accept: */*
[
  {
    "packageName": "text",
    "displayName": "text",
    "version": "text",
    "publisher": "text",
    "msixImagePath": "text",
    "packagedApps": [
      {
        "name": "text"
      }
    ],
    "dependencies": "text",
    "certificate": {
      "status": [
        "0 = Valid",
        "1 = Expiring",
        "2 = Expired",
        "3 = InProgress",
        "4 = Revoked",
        "5 = Issuing",
        "6 = IssuingFailed",
        "7 = Renewing",
        "8 = RenewingFailed",
        "9 = Revoking",
        "10 = RevokingFailed"
      ],
      "publicKey": "text",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "keySize": [
        "0 = KeySize1024",
        "1 = KeySize2048",
        "2 = KeySize4096",
        "3 = KeySize3072",
        "4 = KeySize521",
        "255 = KeySizeUnknown"
      ],
      "commonName": "text"
    }
  }
]

Last updated